* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Gothic A1', sans-serif; /*  내가 원하는 typeface 우선순위  */
}

body {
    background-color: #FFFFFF;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 40px 50px;
    z-index: 10;
}

.back-btn {
    display: inline-block;
    transition: opacity 0.3s;
}
.back-btn:hover { opacity: 0.6; }


.detail-container {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: left;
}


.content-box {
    display: inline-block;
    max-width: 700px; 
}

/*  Word  */
.detail-word {
    font-size: 4.5rem; 
    font-weight: 900;
    color: #2847E0; 
    margin-bottom: 25px; 
    line-height: 1;
}

.pronunciation-group {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 40px; 
}

.audio-btn {
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
}
/*  international pronounce color  */
.phonetic-script {
    font-size: 1.3rem;
    color: #2D4AB7;
    font-weight: 400;
    opacity: 0.4;
    transition: opacity 0.2s ease;
}

.pronunciation-group:hover .phonetic-script {
    opacity: 1;
}

.word-definition {
    font-size: 1.4rem; 
    color: #2D4AB7;
    line-height: 1.5;
    margin-bottom: 50px;
    font-weight: 400;
}


.example-text {
    font-size: 1.2rem; 
    color: #D63D42;
    line-height: 1.6;
}

.example-text .highlight {
    font-weight: 900;
    color: #2D4AB7;
}